<?php
	$correcto = false;
	if (file_exists("../comunes/funciones/funciones_generales.php")){
		if (file_exists("../comunes/email/emails.php")){
			include_once("../comunes/email/emails.php");
			//Vamos a generar el email
			//$conexionBD = dame_valor_variable_global("conexionBD", false);
			if ($conexionBD){
				$codigo_cliente = dame_valor_variable_global("cod", 0);
				$verificar = dame_valor_variable_global("verificar", 0);
				$confirmar = dame_valor_variable_global("confirmar", 0);
				$enviar = dame_valor_variable_global("enviar", 0);
				$nombre_empresa = dame_valor_variable_global("nombre_empresa", "");
				//$direccion_empresa = dame_valor_variable_global("url", "");
				if ($verificar != 0){
					//necesitamos el código de confirmación del cliente
					$sentencia_sql = "SELECT codigo_confirmacion, email, nombre_legal FROM cliente WHERE codigo = $codigo_cliente";
					if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
						if($fila = mysqli_fetch_array($resultado)){
							$enlaceConfirmacion = Shop::$configuracion->url . "confirmacion_registro/" . $fila["codigo_confirmacion"] . "/" . $codigo_cliente;
							$texto = "Bienvenido a $nombre_empresa. Para completar el registro pinche  
			<a href=" . '"' . $enlaceConfirmacion . '"' . '><b>aquí</b>.</a>' . "
			<br /><br />
			Si el enlace no funciona, copie la siguiente dirección y péguela en su navegador:<br />
			" . $enlaceConfirmacion . '<br /><br />';
							$texto = $texto . "\nAtentamente: $nombre_empresa";
							//Tenemos que enviar el email
							$destinatario = $fila["email"] . "," . $fila["nombre_legal"];
							$asunto = "Confirmación de registro en $nombre_empresa";
							$cuerpo = '<p style=" text-align:justify; font-family:Garamond, serif; margin-top: 40px;">' . $texto . '</p>';
							$cuerpo = dame_email($asunto, $cuerpo);
							envia_email($destinatario, $asunto, $cuerpo);
							$correcto = true;
						}
					}
				}else if ($confirmar != 0){
					$sentencia_sql = "UPDATE cliente SET codigo_confirmacion = 0 WHERE codigo = $codigo_cliente";
					mysqli_query($conexionBD, $sentencia_sql);
					$resultado = mysqli_affected_rows($conexionBD);
					//echo("el resultado es: $resultado\n");
					if ( $resultado > 0){
						$correcto = true;
					}
				}else if ($enviar != 0){
					$sentencia_sql = "SELECT nombre_legal, email, password FROM cliente WHERE `codigo` = $codigo_cliente";
					if ($resultado = mysqli_query($conexionBD, $sentencia_sql)){
						if ($fila = mysqli_fetch_array($resultado) ){
							//Hay que enviar un email de confirmación
							$texto = "Su cuenta ha sido activada con exito. Sus datos de acceso son:<br />
							Usuario: " . $fila['email'] . " <br/>
							Password: " . $fila['password'];
							//Tenemos que enviar el email
							$destinatario = $fila['email'] . "," . $fila["nombre_legal"];
							$asunto = "$nombre_empresa le informa de que su cuenta ha sido activada";
							$cuerpo = '<p style="font-weight:normal; font-size:16px; font-family:Arial, Verdana, Helvetica, sans-serif;">' . $texto . '</p>';
							$cuerpo =  dame_email($asunto, $cuerpo);
							//Enviamos el email
							envia_email($destinatario, $asunto, $cuerpo);
						}
					}
					$correcto = true;
				}
			}
		}
	}
	
if ($correcto){
	echo("CORRECTO");
}else{
	echo("ERROR");
}